Bug 56751 - iptables.spec Requires(post,postun): chkconfig s/b preun
Summary: iptables.spec Requires(post,postun): chkconfig s/b preun
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-26 22:28 UTC by Edward J. Huff
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version: 1.2.8-x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-16 14:12:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix problem (not tested) (290 bytes, patch)
2001-11-26 22:29 UTC, Edward J. Huff
no flags Details | Diff

Description Edward J. Huff 2001-11-26 22:28:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i586)

Description of problem:
chkconfig is called in the preun script, not the postun script.

Version-Release number of selected component (if applicable):
/usr/src/redhat/SRPMS/iptables-1.2.4-2.src.rpm 

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh iptables-1.2.4-2.src.rpm
2. examine /usr/src/redhat/SPECS/iptables.spec
3.

Actual Results:  Requires(post,postun): chkconfig

Expected Results:  Requires(post,preun): chkconfig

Additional info:

--- iptables.spec.orig	Mon Nov  5 06:43:27 2001
+++ iptables.spec	Mon Nov 26 17:22:10 2001
@@ -11,7 +11,7 @@
 License: GPL
 BuildPrereq: /usr/bin/perl
 Requires: kernel >= 2.4.0
-Requires(post,postun): chkconfig
+Requires(post,preun): chkconfig
 # Obsoletes: ipchains
 Prefix: %{_prefix}

Comment 1 Edward J. Huff 2001-11-26 22:29:58 UTC
Created attachment 38725 [details]
Patch to fix problem (not tested)

Comment 2 Michael Schwendt 2002-10-26 21:03:36 UTC
Red Hat Linux 7.3 and 8.0 are also affected.


Note You need to log in before you can comment on or make changes to this bug.